/* ---------------------------------------------------------- */
/* @(#) KRK.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* Automated Tape Allocation Manager Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005, 2009 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* Tasks */

DELETE FROM O4SRV.CCT
WHERE KEY = "KRK_SELECT_ALL";

DELETE FROM O4SRV.CCT
WHERE KEY = "KRK_EXCLUDE_ALL";

DELETE FROM O4SRV.CCT
WHERE KEY = "KRK_SELECT_SINGLE";

DELETE FROM O4SRV.CCT
WHERE KEY = "KRK_EXCLUDE_SINGLE";

/* Situations */
DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRK_WAIT_NOHOLD"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRK"
 AND OBJNAME = "KRK_WAIT_NOHOLD"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRK_FAILED_ALLOC"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRK"
 AND OBJNAME = "KRK_FAILED_ALLOC"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRK_VARY_FAILED"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRK"
 AND OBJNAME = "KRK_VARY_FAILED"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

